DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
POST/auth/google/token

POST /auth/google/token

POST/auth/forgot-passwordarrow_forward
upload
Request body
idTokenrequired
string
double_arrow
Returns 200
token
string
user
object
id
string (uuid)
email
string
emailVerified
boolean
name
string
image
string
createdAt
string (date-time)
updatedAt
string (date-time)
report
Errors
StatusDescription
400Default Response
500Default Response
north_east
Request
curl -X POST 'https://chat-api-dev.paicloud.ai//auth/google/token' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "idToken": "idToken"
}'
south_west
Response
200 OK
application/json
{
  "token": "token",
  "user": {
    "id": "00000000-0000-0000-0000-000000000001",
    "email": "email",
    "emailVerified": true,
    "name": "name",
    "image": "image",
    "createdAt": "2026-01-01T00: 00:00Z",
    "updatedAt": "2026-01-01T00: 00:00Z"
  }
}